:root{
    --main-bg-color: #5FFD19;
    --is-animating: running;
}
  .pulsating-circle {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 40px;
    height: 40px;
  }
  .pulsating-circle:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    width: 100%;
    animation-play-state:var(--is-animating) !important;
    height: 100%;
    background-color: var(--main-bg-color);
    border-radius: 20px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
    -webkit-animation: pulse-dot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -0.4s infinite;
            animation: pulse-dot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -0.4s infinite;
  }
  
  @-webkit-keyframes pulse-ring {
    0% {
      transform: scale(0.33);
    }
    80%, 100% {
      opacity: 0;
    }
  }
  
  @keyframes pulse-ring {
    0% {
      transform: scale(0.33);
    }
    80%, 100% {
      opacity: 0;
    }
  }
  @-webkit-keyframes pulse-dot {
    0% {
      transform: scale(0.8);
    }
    50% {
      transform: scale(1);
    }
    100% {
      transform: scale(0.8);
    }
  }
  @keyframes pulse-dot {
    0% {
      transform: scale(0.8);
    }
    50% {
      transform: scale(1);
    }
    100% {
      transform: scale(0.8);
    }
  }